<?php
//TITLE=Audio stream mixing tools

$title = 'Audio stream mixing tools';
$progname = 'streamixer';

function usagetext($prog)
{
  exec($prog.' --help 2>&1', $kk);
  $k='';foreach($kk as $s)$k.="$s\n";
  return $k;
}

$text = array(
   '1. Program list' => "

This package contains several audio stream tool programs.
<p>
Note that none of these programs talk directly with a soundcard.
They only handle raw audio streams.

", 'mixer:1.1. mixer' => "

A stream mixing server. It accepts <a href=\"#mixwrite\">mixwrite</a>
and <a href=\"#mixmon\">mixmon</a> -connections.
<br>Provides a server for audio stream mixing.<br>
Meant to be a replacement for esd, with
much more features and much less cpu usage.

", 'mixmon:1.1. mixmon' => "

Monitors the mixer over a tcp connection,
reading whatever is being mixed to it.

", 'mixwrite:1.1. mixwrite' => "

Sends stream to the mixer over a tcp connection.

", 'resample:1.1. resample' => "

Resamples audio stream from one format to another format,
trying to not produce resampling artifacts.

<pre class=smallerpre>".htmlspecialchars(usagetext('resample'))."</pre>

", 'mixeridle:1.1. mixeridle' => "

Generates idle stream for the mixer, if there
are readers for the mixer but no writers.<br>
Actually has been hardcoded to play something nasty...
you should probably customize it :)

", '1. Requirements' => "

GNU make is probably required.<br>

", '1. Copying' => "

These tools have been written by Joel Yliluoma, a.k.a.
<a href=\"http://bisqwit.iki.fi/\">Bisqwit</a>,<br>
and are distributed under the terms of the
<a href=\"http://www.gnu.org/licenses/licenses.html#GPL\">General Public License</a> (GPL).

<p>
Note: If you want to look at earlier versions, have a look at
<a href=\"/src/index/wavegenerator\">wavegenerator</a>. The earlier
versions were together in a same archive.

");
include '/WWW/progdesc.php';
